textures/mission_one_redux/voda
{
    qer_editorimage textures/mission_one/voda.jpg
    //surfaceparm trans
    //surfaceparm nonsolid
    surfaceparm water
    surfaceparm nolightmap
    cull disable
    deformVertexes wave 64 sin .25 .25 0 .5
    {
        map textures/mission_one/voda.jpg
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scale .5 .5
        tcmod scroll .025 .01
    }
    {
        map textures/mission_one/voda.jpg
        blendFunc GL_DST_COLOR GL_ONE
        tcmod scale -.5 -.5
        tcmod scroll .025 .025
    }
}

textures/mission_one_redux/pain
{
    qer_editorimage textures/atcs/force_grid.tga
    surfaceparm nolightmap
    q3map_surfacelight 25
    q3map_lightimage textures/mission_one/blue_shade.tga
	{
		map textures/atcs/force_field.tga
		tcMod Scroll .1 0
	}
	{
		map textures/atcs/force_grid.tga
		tcMod Scroll -.05 0
		rgbgen wave sin .2 .2 0 .4
	}
}

textures/mission_one_redux/zed
{
    qer_editorimage textures/mission_one/zed.jpg
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm slime
    cull disable
    {
        map textures/mission_one/zed.jpg
        blendFunc GL_DST_COLOR GL_ONE
        tcMod Scroll 0 .1
    }
}

textures/mission_one_redux/wall
{
    qer_editorimage textures/transit/evil4_d_techwalls_d_drkmtl_mpanel.tga
    {
       map textures/transit/evil4_d_techwalls_d_drkmtl_mpanel.tga
    }
    {
       map textures/transit/evil3_floors_t-flr_oddtile_drty.tga
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
    {
       map textures/mission_one_redux/brighten.tga
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
    {
       map $lightmap
       blendFunc GL_ZERO GL_SRC_COLOR
    }
}

textures/mission_one_redux/wall2
{
    qer_editorimage textures/karith/metal_panels.tga
    {
       map textures/karith/metal_panels.tga
    }
    {
       map textures/arachnid2/e6tekmtlrflr.tga
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
    {
       map textures/mission_one_redux/brighten.tga
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
    {
       map $lightmap
       blendFunc GL_ZERO GL_SRC_COLOR
    }
}

textures/mission_one_redux/pulse
{
    qer_editorimage textures/mission_one_redux/red_streak.tga
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        map textures/mission_one_redux/red_streak.tga
        blendfunc filter
    }
}

textures/mission_one_redux/gh_logo
{
    qer_editorimage textures/mission_one_redux/gh_logo.jpg
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    polygonoffset
    {
        map textures/mission_one_redux/gh_logo.jpg
        blendfunc filter
    }
}

textures/mission_one_redux/gh_logo2
{
    qer_editorimage textures/mission_one_redux/gh_logo.jpg
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    polygonoffset
    {
        map textures/mission_one_redux/gh_logo.jpg
        blendfunc filter
        tcMod Scroll 0.5 0
    }
}

textures/mission_one_redux/invisible_nonsolid
{
    qer_editorimage textures/mission_one_redux/gh_logo.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nodraw
    polygonoffset
    {
        map textures/mission_one_redux/gh_logo.jpg
        blendfunc filter
    }
}

textures/mission_one_redux/advert
{
    qer_editorimage textures/mission_one_redux/xembie.tga
    {
       animMap 0.25 textures/mission_one_redux/xembie.tga textures/mission_one_redux/ronin.tga textures/mission_one_redux/cron.tga textures/mission_one_redux/specing.tga textures/mission_one_redux/blowfish.tga textures/mission_one_redux/helperbot.tga textures/mission_one_redux/devhc.tga textures/mission_one_redux/woodbury.tga 
    }
    {
       map $lightmap
       blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
}

textures/mission_one_redux/code_man
{
    qer_editorimage textures/mission_one_redux/code_man.tga
    {
	map textures/mission_one_redux/code_man.tga
	tcMod Stretch Sin 0.25 0.75 0.0 0.25
	//tcMod Scale 0.25 0.25 // Breaks 1.1.0 :/
	tcMod Rotate 90
	tcMod Turb 1 1 0.25 .125
	tcMod Scroll 0.25 0.5
	rgbGen wave Triangle 0.5 0.25 0.0 0.25
    }
    {
   	map $lightmap
    	blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_COLOR
    }
}

textures/mission_one_redux/skybox
{
    qer_editorimage env/mission_one/sky_up.jpg
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightsubdivide 256
    surfaceparm sky
    skyparms env/mission_one/sky 128 -
    {

    }
}
